ref: a16d3d640512b4bec17eaafa3ea4a216f71bc551
parent: 3e5cd8ce1ab3294217c14b05ccd4ee6caa28e280
author: ISSOtm <eldredhabert0@gmail.com>
date: Sat Nov 12 09:23:39 EST 2022
Fail RGBGFX test suite if support test programs fail to be built
--- a/test/gfx/test.sh
+++ b/test/gfx/test.sh
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
-[[ -e ./rgbgfx_test ]] || make -C ../.. test/gfx/rgbgfx_test
-[[ -e ./randtilegen ]] || make -C ../.. test/gfx/randtilegen
+[[ -e ./rgbgfx_test ]] || make -C ../.. test/gfx/rgbgfx_test || exit
+[[ -e ./randtilegen ]] || make -C ../.. test/gfx/randtilegen || exit
trap 'rm -f "$errtmp"' EXIT
errtmp="$(mktemp)"